karo: tx6: add support for TXUL-5014
[karo-tx-uboot.git] / include / linux / compiler-gcc3.h
1 #ifndef __LINUX_COMPILER_H
2 #error "Please don't include <linux/compiler-gcc3.h> directly, include <linux/compiler.h> instead."
3 #endif
4
5 #if GCC_VERSION < 30200
6 # error Sorry, your compiler is too old - please upgrade it.
7 #endif
8
9 #if GCC_VERSION >= 30300
10 # define __used                 __attribute__((__used__))
11 #else
12 # define __used                 __attribute__((__unused__))
13 #endif
14
15 #if GCC_VERSION >= 30400
16 #define __must_check            __attribute__((warn_unused_result))
17 #endif
18
19 #ifdef CONFIG_GCOV_KERNEL
20 # if GCC_VERSION < 30400
21 #   error "GCOV profiling support for gcc versions below 3.4 not included"
22 # endif /* __GNUC_MINOR__ */
23 #endif /* CONFIG_GCOV_KERNEL */